--- title: "Get the Botnet Automatic Update Configuration" slug: "get-the-botnet-automatic-update-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/get-the-botnet-automatic-update-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Botnet Automatic Update Configuration This URL gets the botnet automatic update configuration on the Manager. ## Resource URL GET /autoupdateconfiguration/botnet ## Request Parameters None ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | automaticDownloadDetails | Contains the details of the automatic download to Manager configuration | Object | | automaticDeploymentDetails | Contains the details of the automatic deployment to Sensor configuration | Object | Details of fields in automaticDownloadDetails: | Field Name | Description | Data Type | | --- | --- | --- | | enableDownload | Whether the automatic download is enabled | Boolean | | schedule | Schedule for the update. Values can be following: - FREQUENTLY - DAILY - WEEKLY | String | | startTime | Time when the update should start. It should be in hh:mm format. | String | | endTime | Time when the update should start. It should be in hh:mm format. | String | | recur | The recurring duration | String | Details of fields in automaticDeploymentDetails: | Field Name | Description | Data Type | | --- | --- | --- | | enableDeployInRealTime | Whether the automatic deployment in real time is enabled | Boolean | | enableDeployAtScheduledInterval | Whether the automatic deployment in scheduled time is enabled | Boolean | | schedule | Schedule for the update. Values can be following: - FREQUENTLY - DAILY - WEEKLY | String | | startTime | Time when the update should start. It should be in hh:mm format. | String | | endTime | Time when the update should start. It should be in hh:mm format. | String | | recur | The recurring duration | String | ## Example **Request** GET [https:///sdkapi/ autoupdateconfiguration/botnet](https://%3CNSM_IP%3E/sdkapi/%20autoupdateconfiguration/botnet) **Response** ``` {       "automaticDownloadDetails":       {           "enableDownload": true,           "schedule": "FREQUENTLY",           "startTime": "0:0",           "endTime": "23:0",           "recur": "10 Hr"       },       "automaticDeploymentDetails":       {           "enableDeployInRealTime": true,           "enableDeployAtScheduledInterval": true,           "schedule": "FREQUENTLY",           "startTime": "7:50",           "endTime": "23:0",           "recur": "10 Min"       }    } ```   ## Error Information None